# Copyright (C) 2020-2021 MicroSys Electronics GmbH

FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"
PATCHTOOL = "git"
PATCH_COMMIT_FUNCTIONS = "1"

#BRANCH = "release/bsp32.0-2020.04"
#SRCREV = "7cc85e188554fb38b6bd39a98b6149b033ebd53e"

inherit u_boot_addons

# devtool wants to copy .config from here...
#B = "${WORKDIR}/${BPN}-${PV}"
DEVTOOL_DISABLE_MENUCONFIG = "1"

DEPENDS += "python3-native"

python do_patch_prepend() {
    if d.getVar('PATCHTOOL') == 'git':
        srcsubdir = d.getVar('S')
        bb.process.run('git config am.threeWay true', cwd=srcsubdir)
        bb.process.run('git config am.keepcr true', cwd=srcsubdir)
        bb.process.run('git config apply.whitespace fix', cwd=srcsubdir)
        bb.process.run('git config apply.ignoreWhitespace change', cwd=srcsubdir)
}

do_merge_delta_config[noexec] = "1"

SRC_URI += "file://0001-mpxs32g274a-added-module-support.patch;name=patch0001"
SRC_URI += "file://0002-s32g274asbc-added-support-for-S32G274ASBC.patch;name=patch0002"
SRC_URI += "file://0003-s32g274asbc2-added-support-for-S32G274ASBC2.patch;name=patch0003"
SRC_URI += "file://0004-s32g274asbc3-added-support-for-S32G274ASBC3.patch;name=patch0004"
SRC_URI += "file://0005-s32g274aconbox-added-support-for-S32G274ACONBOX.patch;name=patch0005"
SRC_URI += "file://0006-bsp32-support-for-S32G274ASBC-variants-and-S32G274AC.patch;name=patch0006"
SRC_URI += "file://0007-gpio-fxl6408-added-driver.patch;name=patch0007"
SRC_URI += "file://0008-env-eeprom-fixed-support-for-environment-in-I2C-EEPR.patch;name=patch0008"
SRC_URI += "file://0009-net-phy-fixed-PHY-detection.patch;name=patch0009"
SRC_URI += "file://0010-phy-marvell-update-to-latest-version.patch;name=patch0010"
SRC_URI += "file://0011-net-phy-dp83867-merged-changes-from-LSDK.patch;name=patch0011"
SRC_URI += "file://0012-net-mdio-uclass-probe-of-nodes-added.patch;name=patch0012"
SRC_URI += "file://0013-scripts-pylibfdt-fixed-include-path.patch;name=patch0013"
SRC_URI += "file://0014-localversion-version-5.0.patch;name=patch0014"
SRC_URI += "file://0015-s32g274asbc-added-QSPI-configuration.patch;name=patch0015"
SRC_URI += "file://0016-microsys-Makefile-fixed-build.patch;name=patch0016"
SRC_URI += "file://0017-s32g274aconbox-support-higher-baud-rates.patch;name=patch0017"
SRC_URI += "file://0018-mpxs32g274a-remove-console.patch;name=patch0018"
SRC_URI += "file://0019-sys_eeprom.c-fixes-from-LSDK.patch;name=patch0019"
SRC_URI += "file://0020-sys_eeprom-configured-for-all-platforms.patch;name=patch0020"
SRC_URI += "file://0021-mpxs32g274a-fixed-pfeaddr.patch;name=patch0021"
SRC_URI += "file://0022-drivers-net-dwc_eth_qos_core.c-fixed-MAC-address.patch;name=patch0022"
SRC_URI += "file://0023-drivers-net-pfeng_drv.c-fixed-MAC-address.patch;name=patch0023"
SRC_URI += "file://0024-configs-s32g274asbc.h-removed-default-MAC-addresses.patch;name=patch0024"
SRC_URI += "file://0025-mpxs32g274a-set-MAC-addresses-for-PFE.patch;name=patch0025"
SRC_URI += "file://0026-configs-mpxs32g274a-CONFIG_BOARD_EARLY_INIT_R.patch;name=patch0026"
SRC_URI += "file://0027-net-pfeng-pfeng_drv.c-load-of-PFE-FW-from-boot-media.patch;name=patch0027"
SRC_URI += "file://0028-sys_eeprom-added-board_version.patch;name=patch0028"
SRC_URI += "file://0029-net-pfeng-fixed-default-for-PFE0.patch;name=patch0029"
SRC_URI += "file://0030-configs-s32g274aconbox-fixed-boot-media.patch;name=patch0030"
SRC_URI += "file://0031-mpxs32g274a-output-with-boot-media.patch;name=patch0031"
SRC_URI += "file://0032-cmd-mac-fixed-newline.patch;name=patch0032"
SRC_URI += "file://0033-configs-s32g274aconbox-fixed-bootcmd.patch;name=patch0033"
SRC_URI += "file://0034-board-mpxs32g274a-corrected-printout.patch;name=patch0034"
SRC_URI += "file://0035-configs-s32g274axxx-moved-baudrate-table.patch;name=patch0035"
SRC_URI += "file://0036-localversion-5.0.2.patch;name=patch0036"
SRC_URI += "file://0037-mpxs32g274a-removed-baud-rate.patch;name=patch0037"
SRC_URI += "file://0038-sys_eeprom-4554-MAC-and-serial-number.patch;name=patch0038"
SRC_URI += "file://0039-mpxs32g274a-fixed-MAC-addresses.patch;name=patch0039"
SRC_URI += "file://0040-localversion-5.0.4.patch;name=patch0040"
SRC_URI += "file://0041-s32g274asbc33-added-support-for-S32G274ASBC33.patch;name=patch0041"
SRC_URI += "file://0042-bsp32-support-for-S32G274ASBC33.patch;name=patch0042"
SRC_URI += "file://0043-localversion-5.0.6.patch;name=patch0043"
SRC_URI += "file://0044-s32g274asbc33-configuration-for-QSPI.patch;name=patch0044"

SRC_URI[patch0001.md5sum] = "871b7bbdfd916ca245839366859b7ee8"
SRC_URI[patch0002.md5sum] = "29bd3902b7b879fd7c1ce8731c9616df"
SRC_URI[patch0003.md5sum] = "afc542e12ffc356ee062993aa6d7a887"
SRC_URI[patch0004.md5sum] = "c5a3d7393f8d7ab452a18316a59aaa54"
SRC_URI[patch0005.md5sum] = "e51ce58380fc97c0baa01fab641696a8"
SRC_URI[patch0006.md5sum] = "f4de059282cd0ba0b199446f7a5a30ad"
SRC_URI[patch0007.md5sum] = "a7b5bb4db16d0f50a2ced8c2d528e77b"
SRC_URI[patch0008.md5sum] = "b12f866f43cd68b7f61ea213d83d0314"
SRC_URI[patch0009.md5sum] = "bfc80e42bbfcc3a12536a95d5b843e76"
SRC_URI[patch0010.md5sum] = "6df548997a54371c312a0e6f02931a1c"
SRC_URI[patch0011.md5sum] = "e0d846b16258bc0b753a520e1c9f0dae"
SRC_URI[patch0012.md5sum] = "056178dee92772410053f56a16501e41"
SRC_URI[patch0013.md5sum] = "924d7e10b153f8bca79c22fe3663126c"
SRC_URI[patch0014.md5sum] = "cdc4a69552a7b0531d6ff8e0eba40bff"
SRC_URI[patch0015.md5sum] = "1671c8a975e873b38d4293af1b1ddad2"
SRC_URI[patch0016.md5sum] = "0d63143cdf7402b1e65a703d9fc89de1"
SRC_URI[patch0017.md5sum] = "19d96f30d8be57fd0cf0990c927e3d24"
SRC_URI[patch0018.md5sum] = "c7ac38b1b8961dde7820412ab2db8ecd"
SRC_URI[patch0019.md5sum] = "71118d5c5f5e6376cf1c32e6352c3bd8"
SRC_URI[patch0020.md5sum] = "d8a0adca4de9630881857e148b40173c"
SRC_URI[patch0021.md5sum] = "81b7f27e9d96769fd477232f6505f3e7"
SRC_URI[patch0022.md5sum] = "08797438e2d9448b985a8efa7712b5bf"
SRC_URI[patch0023.md5sum] = "28ce14e586bb59de879e7ae9625c256c"
SRC_URI[patch0024.md5sum] = "d636c7aceea655641aff40225e4e773f"
SRC_URI[patch0025.md5sum] = "820f31fc3ac214c3a790be34edcbdd2f"
SRC_URI[patch0026.md5sum] = "56dcfa6087c5907c59052b915ab400ba"
SRC_URI[patch0027.md5sum] = "8dd6627bed179cd05c0e2f20b165db6a"
#SRC_URI[patch0028.md5sum] = "06f16b5d824372d0c85995b1989b3628"
SRC_URI[patch0029.md5sum] = "60feb5b2a799056c5ac7ad65b9a1759f"
SRC_URI[patch0030.md5sum] = "744a5d22f21e1ce6e6a56b3edfd8179b"
SRC_URI[patch0031.md5sum] = "deb087937c3fa2abe3bdecb67d9fc302"
SRC_URI[patch0032.md5sum] = "cb2e0980480ed7dfa8a941bcfe259424"
SRC_URI[patch0033.md5sum] = "ea8b4c10d9484002ad47a0e3c228e43c"
SRC_URI[patch0034.md5sum] = "a96bfc16627f9c46fd8b2d972048bf19"
SRC_URI[patch0035.md5sum] = "2f8347debcf783dbc1d5edc851050550"
SRC_URI[patch0036.md5sum] = "2e47dcaca1db6a28f3c7273ff008dd80"
SRC_URI[patch0037.md5sum] = "fc64f7e207325cdf58d33eac3205e2be"
SRC_URI[patch0038.md5sum] = "4a907d856104f6d9359946b8fa84868c"
SRC_URI[patch0039.md5sum] = "86c0256dc122d8e0ad7580c6b70a78fe"
SRC_URI[patch0040.md5sum] = "41719090e5f346744ddde5d25b91b91b"
SRC_URI[patch0041.md5sum] = "63a2df1fe68f4a93f36d154d0c1115ef"
SRC_URI[patch0042.md5sum] = "fd987e7f3c3345d91f7b27170bf9442a"
SRC_URI[patch0043.md5sum] = "8c121c128c1bfe912e2b77ccce26bfbf"
SRC_URI[patch0044.md5sum] = "8ba637c4fad22a94a8462262d67d38ab"
