# Copyright (C) 2022 MicroSys Electronics GmbH
# Author: Kay Potthoff <kay.potthoff@microsys.de>

SUMMARY = "S32G274ACONBOX utilities"
DESCRIPTION = "Installs tools for S32G274ACONBOX handling"
LICENSE = "CLOSED"

FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

do_compile[depends] += "u-boot-tools-native:do_populate_sysroot"

SRC_URI = "file://s32g274aconbox-emmc.u-boot.scr"
SRC_URI += "file://s32g274aconbox-qspi-flash.u-boot.scr"

INSTALL_PATH               ??= "/boot"
INSTALL_PATH_class-target    = "/boot"
INSTALL_PATH_class-nativesdk = "/usr/share/debug"

FILES_${PN} += "${INSTALL_PATH}"

do_configure[noexec] = "1"

U_BOOT_SCRIPTS = "s32g274aconbox-emmc.u-boot.scr s32g274aconbox-qspi-flash.u-boot.scr"

do_patch() {
    for scr in ${U_BOOT_SCRIPTS}; do
        install -m 0644 ${WORKDIR}/${scr} ${S}/${scr}
    done
}

do_compile() {
    mkimage -T script -C none -n "S32G274ACONBOX eMMC Program Script" -d ${S}/s32g274aconbox-emmc.u-boot.scr ${B}/s32g274aconbox-emmc.u-boot.img
    mkimage -T script -C none -n "S32G274ACONBOX QSPI Program Script" -d ${S}/s32g274aconbox-qspi-flash.u-boot.scr ${B}/s32g274aconbox-qspi-flash.u-boot.img
}

do_install() {
    install -m 0755 -d ${D}${INSTALL_PATH}
    install -m 0644 -o root -g root ${B}/s32g274aconbox-emmc.u-boot.img ${D}${INSTALL_PATH}/s32g274aconbox-emmc.u-boot.img
    install -m 0644 -o root -g root ${B}/s32g274aconbox-qspi-flash.u-boot.img ${D}${INSTALL_PATH}/s32g274aconbox-qspi-flash.u-boot.img
}

do_clean() {
    rm -f ${B}/s32g274aconbox-emmc.u-boot.img
    rm -f ${B}/s32g274aconbox-qspi-flash.u-boot.img
}

BBCLASSEXTEND = "nativesdk"
